<?php 
 
include("comun/conex_ver.php"); 
date_default_timezone_set('America/Mexico_City');
$link=con_ver();
/*$resultado = 'autorizar '.$_POST['autorizar'] .'<br> pedimento '. $_POST['pedimento']  .' <br>registrado_por '. $_POST['registrado_por'].
"<br>cantidad_de_filas" .$_POST['cantidad_de_filas'] .'<br> booking '. $_POST['booking']   .'<br> idhbl '. $_POST['idhbl'] .
'<br> Usuario '. $_POST['usuario'] .'<br>'; 
echo 'res '.$resultado;*/
$pago_mei="";
if($_POST[autorizar]=="Autorizar"){
	$pago_mei="PAGADO";
}elseif($_POST[autorizar]=="NO Autorizar"){
	$pago_mei="PENDIENTE";
}elseif($_POST[autorizar]==""){
		$pago_mei="";
}
$cargapeli = $_POST[cargapeli];
$cargapelin = 0;
if($cargapeli == "SI"){$cargapelin = 1;}
else{$cargapelin = 0;}
mysqli_query($link,"update booking_ssl set carga_imo=".$cargapelin." where booking_ssl = '".$_POST['booking']."' " );
if($cargapeli == "SI"){
mysqli_query($link,"update detailcargaexpint set usuario_imo = '$_POST[usuario]', fecha_registro = NOW() where bookingno = '".$_POST['booking']."'");}
else{mysqli_query($link,"update detailcargaexpint set usuario_imo = '', fecha_registro = null where bookingno = '".$_POST['booking']."'");}


mysqli_query($link,"update hblexpint set autorizacion='".$_POST['autorizar']."',pago_mei='".$pago_mei."' where idhbl='".$_POST['idhbl']."' " );
$affected=0;
		 if(mysqli_affected_rows($link)>0 or $_POST['autorizar']==''){
			$affected=1;
			$q=mysqli_query($link,"select usuario_autorizo,historial_autorizacion from hblexpint where idhbl ='".$_POST['idhbl']."' " );
			$r=mysqli_fetch_array($q);
			$historial_autorizacion=$r[historial_autorizacion]!='' ? '<br>'.$r[historial_autorizacion] : '';
			$fecha=$_POST['autorizar']=='' ? '' : date("Y-m-d H:i:s");
			$usuario=$_POST['autorizar']=='' ? '' : trim(strtoupper($_POST['usuario']));
			mysqli_query($link,"update hblexpint set usuario_autorizo= '".$usuario."' ,fecha_usuario_autorizo= '".$fecha."',
			historial_autorizacion='".$usuario.' '.$fecha.$historial_autorizacion."' where idhbl='".$_POST['idhbl']."' " );
		 } 
//$resultado='';
if($affected!=0){ 
  $resultado =$usuario.' '.$fecha.'**'.$pago_mei;
// $resultado =trim(strtoupper($_POST['usuario'])) ;$
}
 echo $resultado; //haciendo este echo estas respondiendo la solicitud ajax
 
?>
 